Name:           ykpers
Version:        1.17.1
Release:        1%{?dist}
Summary:        Yubikey personalization program

Group:          Applications/System
License:        BSD
URL:            http://opensource.yubico.com/yubikey-personalization/
Source0:        http://opensource.yubico.com/yubikey-personalization/releases/%{name}-%{version}.tar.gz

%ifnarch s390 s390x
BuildRequires: libusb1-devel
%else
BuildRequires: libusb-devel
%endif
BuildRequires: libyubikey-devel
BuildRequires: systemd-devel

%description
Yubico's YubiKey can be re-programmed with a new AES key. This is a library
that makes this an easy task.

%package devel
Summary:        Development files for ykpers
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the header file needed to develop applications that
use ykpers.

%prep
%setup -q

%build
%configure --enable-static=no --disable-rpath \
    --with-udevrulesdir=/usr/lib/udev/rules.d \
%ifnarch s390 s390x
    --with-backend=libusb-1.0
%else
    --with-backend=libusb
%endif
# --disable-rpath doesn't work for the configure script
%{__sed} -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
%{__sed} -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%{__make} %{?_smp_mflags}

%check
export LD_LIBRARY_PATH=$RPM_BUILD_DIR/%{name}-%{version}/.libs
%{__make} check

%install
%{__make} install DESTDIR=${RPM_BUILD_ROOT} INSTALL="%{__install} -p"

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog NEWS
%doc doc/Compatibility.asciidoc
%{_bindir}/ykinfo
%{_bindir}/ykpersonalize
%{_bindir}/ykchalresp
%{_libdir}/libykpers-1.so.1
%{_libdir}/libykpers-1.so.%{version}
%{_mandir}/man1/ykpersonalize.1.gz
%{_mandir}/man1/ykchalresp.1.gz
%{_mandir}/man1/ykinfo.1.gz
/usr/lib/udev/rules.d/69-yubikey.rules

%files devel
%defattr(-,root,root,-)
%doc doc/USB-Hid-Issue.asciidoc
%{_libdir}/pkgconfig/ykpers-1.pc
%{_libdir}/libykpers-1.so
%{_includedir}/ykpers-1/
%exclude %{_libdir}/libykpers-1.la

%changelog
* Wed Apr 01 2015 Kevin Fenzi <kevin@scrye.com> 1.17.1-1
- Update to 1.17.1. Fixes bug #1208140

* Sat Feb 07 2015 Kevin Fenzi <kevin@scrye.com> 1.16.2-1
- Update to 1.16.2

* Sun Nov 23 2014 Kevin Fenzi <kevin@scrye.com> 1.16.1-1
- Update to 1.16.1. Fixes bugs #1167113 and #1157894

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 12 2014 Maxim Burgerhout <wzzrd@fedoraproject.org> - 1.15.1-1
- New upstream release 1.15.1, should fix ARM build failure on make check

* Mon Jan 13 2014 Maxim Burgerhout <wzzrd@fedoraproject.org> - 1.15.0-1
- New upstream release 1.15.0, which includes (amongst others):
- Fixes for race conditions on new machines
- Support for NEO 3.2 keys

* Thu Nov 28 2013 Maxim Burgerhout <wzzrd@fedoraproject.org> - 1.14.1-1
- Update to 1.14.1
- With dry-run option (-d) and new ykinfo options to view individual slots

* Sun Aug 04 2013 Maxim Burgerhout <wzzrd@fedoraproject.org> - 1.13.0.3
- BR systemd-devel for Fedora 20 / Rawhide

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 13 2013 - Maxim Burgerhout <wzzrd@fedoraproject.org> - 1.13.0-1
- Update to 1.13.0: ycfg-json functions, recognize newer firmware

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 8 2012 - Maxim Burgerhout <wzzrd@fedoraproject.org> - 1.9.0-1
- Update to new upstream version 1.9.0

* Wed Oct 17 2012 - Maxim Burgerhout <wzzrd@fedoraproject.org> - 1.8.2-1
- Update to 1.8.2 that adds ykinfo
- Drop local patch for udev rules as it is now upstreamed

* Mon Oct 1 2012 - Maxim Burgerhout <wzzrd@fedoraproject.org> - 1.8.0-1
- Update to 1.8.0:
- Support for yk_challenge_response, Yubikey 2.3, bugfixes and more
- Drop bigendian patch, is now in upstream source

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 15 2012 - Nick Bebout <nb@fedoraproject.org> - 1.6.3-1
- Update to 1.6.3

* Sun Jan 8 2012 - Maxim Burgerhout <wzzrd@fedoraproject.org> - 1.6.2-2
- Rebuild for gcc 4.7

* Tue Nov 29 2011 - Maxim Burgerhout <wzzrd@fedoraproject.org> - 1.6.2-1
- New upstream version with some minor bugfixes

* Thu Jul 21 2011 - Maxim Burgerhout <wzzrd@fedoraproject.org> - 1.6.0-2
- Rebuild for rpm-4.9.1 trailing slash bug

* Thu Jul 21 2011 - Maxim Burgerhout <wzzrd@fedoraproject.org> - 1.6.0-1
- Update to upstream version 1.6.0 (support for firmware 2.3.x, oath changes)
- First implementation of udev rules for ykpers

* Fri Apr 29 2011 - Dan Horák <dan[at]danny.cz> - 1.4.1-2
- fix build on big endians and with default unsigned char (like s390(x))

* Sun Feb 6 2011 - Maxim Burgerhout <wzzrd@fedoraproject.org> - 1.4.1-1
- Add support for new features in YubiKey 2.2.
- Stricter argument parsing, to help user avoid configuration surprises.
- Ask kernel to detach USB HID driver with libusb 0.1 too.
- Properly reject keys (-a) with upper case hex, instead of just ignoring
  those bits.
- Really check Yubikey compatibility when setting options.
- Pretty-printer did not handle bit overloaded cfgflags.
  It is better now, but not perfect.
- Fixes to make it work under Windows.

* Mon Oct 18 2010 - Dan Horák <dan[at]danny.cz> - 1.3.4-2
- build with libusb on s390(x)

* Wed Oct 13 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.3.4-1
- Version bump

* Thu May 27 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.3.3-1
- Version bump

* Wed Mar 17 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.3.2-1
- Version bump

* Mon Jan 25 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.3.1-1
- Version bump

* Mon Jan 25 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.2-4
- RPM_OPT_FLAGS removed again

* Mon Jan 25 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.2-3
- Removed pkgconfig dependency for devel
- Fixed ownership of ykpers-1 in /usr/include
- Fixed install with original timestamp

* Sat Jan 23 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.2-2
- Used macros for sed, make, rm and Source0
- Removed INSTALL and MakeRelease.wiki from the docs
- Inserted INSTALLFLAGS
- Inserted RPM_OPT_FLAGS
- Made sure the URL no longer points to a redirect

* Sat Jan 23 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.2-1
- New upstream release (support for newer firmware)

* Wed Jan 20 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.1-1
- First packaged release
